## `array_kind`

A constant used to select a `value` constructor overload.

### Synopsis

Defined in header <boost/json/kind.hpp>.

    constexpr
    array_kind_t array_kind;

### Description

The library provides this constant to allow efficient construction of a `value` containing an empty `array`.

### Example

    storage_ptr sp;
    value jv( array_kind, sp ); // sp is an optional parameter

### See Also

`value::value(array_kind_t, storage_ptr)`.

Convenience header <boost/json.hpp>.

Edit this page